---
id: debian-docker-installieren
title: Docker installieren (Debian 11 oder höher)
sidebar_label: Docker installieren
---
Installation von Docker und optional Docker-Compose auf Debian 11 oder höher

## Informationen
In diesem Tutorial wird dir gezeigt, wie du Docker auf einem VPS oder Dedicated Server installierst. Du benötigst dafür Debian 11 oder höher und Root-Rechte.
Melde dich zunächst als root mit dem SSH-Client deiner Wahl an, z.B. PuTTY oder Terminus.

### Installation
1. Sobald du angemeldet bist, solltest du deinen Server aktualisieren. Führe dazu folgendes aus:
    ```sh
    apt update
    apt upgrade -y
    ```
2. Installiere Docker mit folgendem Einzeiler:
    ```sh
    curl -sSL https://get.docker.com/ | CHANNEL=stable bash
    ```
3. Überprüfe, ob die Installation erfolgreich war, indem du die Docker-Version abrufst:
    ```sh
    docker --version
    ```
4. Um zu testen, ob Docker korrekt funktioniert, starte einen Test-Container:
    ```sh
    docker run hello-world
    ```

## Optional: Docker-Compose installieren

Falls du Docker-Compose benötigst, kannst du es mit den folgenden Schritten installieren:

1. Lade Docker-Compose herunter:
    ```sh
    curl -L "https://github.com/docker/compose/releases/latest/download/docker-compose-$(uname -s)-$(uname -m)" -o /usr/local/bin/docker-compose
    ```
2. Setze die notwendigen Berechtigungen:
    ```sh
    chmod +x /usr/local/bin/docker-compose
    ```
3. Sollte der Befehl danach nicht gefunden werden, erstelle einen Softlink:
    ```sh
    ln -s /usr/local/bin/docker-compose /usr/bin/docker-compose
    ```
4. Überprüfe, ob Docker-Compose erfolgreich installiert wurde:
    ```sh
    docker-compose --version
    ```

